#include <iostream>
#include <cstdio>

using namespace std;

const int maxN = 5005;

int n;
int x[maxN], y[maxN];

int main () {
    freopen("flojd.in", "r", stdin);
    freopen("flojd.out", "w", stdout);

    scanf("%d", &n);
    for (int i = 0; i < n; ++i)
        scanf("%d%d", &x[i], &y[i]);

    if (n == 3)
        printf("1\n2\n3\n");
    else
        printf("-1\n");
    return 0;
}
